Subject: Embarassing question on linking
From: [email-masked] (Allan Peda)

25 May 1997 18:32:02 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: "[email-masked]" <[email-masked]>
Original-Sender: [email-masked]

I am learning C++ using cygwin32, so I am not too well versed in these
unix type utilities (previous experience with IDE based products).

I'll cut to the chase..  hello world based C++ program yields the
following:

The code:

bash$ cat hellopp.cc
#include <iostream.h>

main()
{
        cout << "Hello there GNU++ world!\n";
}
bash$

The error:

bash$ make -f hellopp.mak
/gnuwin32/b18/H-i386-cygwin32/bin/gcc.exe -pedantic -o hellopp.exe
hellopp.cc
C:\TEMP\cc0010051.o(.text+0x2a):hellopp.cc: undefined reference to
`cout'
C:\TEMP\cc0010051.o(.text+0x2f):hellopp.cc: undefined reference to
`ostream::ope
rator<<(char const *)'
gcc.exe: Internal compiler error: program ld got fatal signal 1
make: *** [hellopp.exe] Error 1

Now under hello.c, I have no errors,  I'm guessing that I need to do
something to link the correct libraries which are needed under (G)C++,
and were included by default under GCC (ansi).

Thanks
Allan

(Yes, I am reading the notes at cygnus, and am looking into
prep.mit.edu)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".